unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls, FMX.Viewport3D, FMX.Types3D,
  System.Math.Vectors, FMX.Controls3D, FMX.Objects3D, FMX.MaterialSources,
  System.Actions, FMX.ActnList;

type
  TForm1 = class(TForm)
    Viewport3D1: TViewport3D;
    ToolBar1: TToolBar;
    ToolBar2: TToolBar;
    Light1: TLight;
    Cube1: TCube;
    Cube2: TCube;
    ColorMaterialSource1: TColorMaterialSource;
    Dummy1: TDummy;
    Cube3: TCube;
    ColorMaterialSource2: TColorMaterialSource;
    ColorMaterialSource3: TColorMaterialSource;
    Cube4: TCube;
    Label1: TLabel;
    TrackBarX: TTrackBar;
    TrackBarZ: TTrackBar;
    Label2: TLabel;
    TrackBarY: TTrackBar;
    Label3: TLabel;
    Cube5: TCube;
    ColorMaterialSource4: TColorMaterialSource;
    Label4: TLabel;
    LabelObject: TLabel;
    procedure TrackBarXChange(Sender: TObject);
    procedure TrackBarYChange(Sender: TObject);
    procedure TrackBarZChange(Sender: TObject);
    procedure Cube1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.TrackBarYChange(Sender: TObject);
begin
   Dummy1.RotationAngle.Y := TrackBarY.Value;
end;

procedure TForm1.TrackBarZChange(Sender: TObject);
begin
  Dummy1.RotationAngle.Z := TrackBarZ.Value;
end;

procedure TForm1.Cube1Click(Sender: TObject);
var
   cube:TCube;
begin
   cube:=Sender as TCube;
   LabelObject.Text:=cube.Name;
end;

procedure TForm1.TrackBarXChange(Sender: TObject);
begin
   Dummy1.RotationAngle.X := TrackBarX.Value;
end;

end.
